﻿using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Data;
using System.Drawing;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace UltraDayViewDataBinding
{
    public partial class Form1 : Form
    {
        public Form1()
        {
            InitializeComponent();
            this.dbAppointmentsTableAdapter.ClearBeforeFill = true;
        }

        private void Form1_Load(object sender, EventArgs e)
        {
            dbAppointmentDataKeysTableAdapter1.Fill(this.testDataSet.dbAppointmentDataKeys);
            ultraCombo1.DataSource = this.testDataSet.dbAppointmentDataKeys;
            ultraCombo1.DisplayLayout.Bands[0].Columns[0].Hidden = true;
            ultraCombo1.DisplayMember = "sDataName";
            ultraCombo1.ValueMember = "uDataKey";
            ultraCombo1.SelectedRow = ultraCombo1.Rows[0];

            this.dbAppointmentsTableAdapter.FillBy(this.testDataSet.dbAppointments, ultraCombo1.SelectedRow.Cells[0].Value.ToString());

            this.ultraCalendarInfo1.DataBindingsForAppointments.BindingContextControl = this;
            this.ultraCalendarInfo1.DataBindingsForAppointments.SubjectMember = "Subject";
            this.ultraCalendarInfo1.DataBindingsForAppointments.DescriptionMember = "Description";
            this.ultraCalendarInfo1.DataBindingsForAppointments.StartDateTimeMember = "StartDateTime";
            this.ultraCalendarInfo1.DataBindingsForAppointments.EndDateTimeMember = "EndDateTime";
            this.ultraCalendarInfo1.DataBindingsForAppointments.AllDayEventMember = "AllDayEvent";
            this.ultraCalendarInfo1.DataBindingsForAppointments.ReminderEnabledMember = "ReminderEnabled";
            this.ultraCalendarInfo1.DataBindingsForAppointments.ReminderIntervalMember = "ReminderInterval";
            this.ultraCalendarInfo1.DataBindingsForAppointments.ReminderUnitsMember = "ReminderUnits";
            this.ultraCalendarInfo1.DataBindingsForAppointments.OwnerKeyMember = "OwnerKey";
            this.ultraCalendarInfo1.DataBindingsForAppointments.RecurrenceMember = "Recurrence";
            this.ultraCalendarInfo1.DataBindingsForAppointments.OriginalStartDateTimeMember = "OriginalStartDateTime";
            this.ultraCalendarInfo1.DataBindingsForAppointments.AllPropertiesMember = "AllProperties";
            this.ultraCalendarInfo1.DataBindingsForAppointments.DataKeyMember = "DataKey";
            this.ultraCalendarInfo1.DataBindingsForAppointments.SetDataBinding(testDataSet.dbAppointments, "dbAppointments");

        }

        private void ultraButton1_Click(object sender, EventArgs e)
        {
            this.dbAppointmentsTableAdapter.Update(this.testDataSet.dbAppointments);
        }

        private void ultraButton2_Click(object sender, EventArgs e)
        {
            this.dbAppointmentsTableAdapter.FillBy(this.testDataSet.dbAppointments, ultraCombo1.SelectedRow.Cells[0].Value.ToString());
        }

        private void ultraCombo1_ValueChanged(object sender, EventArgs e)
        {
            this.dbAppointmentsTableAdapter.FillBy(this.testDataSet.dbAppointments, ultraCombo1.SelectedRow.Cells[0].Value.ToString());
        }

        private void ultraCalendarInfo1_BeforeAppointmentAdded(object sender, Infragistics.Win.UltraWinSchedule.CancelableAppointmentEventArgs e)
        {
            e.Appointment.DataKey = ultraCombo1.SelectedRow.Cells[0].Value.ToString();
        }
    }
}
